#!/bin/bash

glslangValidator -V -o default_companion_fragment.spirv default_companion.frag
glslangValidator -V -o default_companion_vertex.spirv default_companion.vert

glslangValidator -V -o naive_stereo_fragment.spirv naive_stereo.frag
glslangValidator -V -o naive_stereo_vertex.spirv naive_stereo.vert

glslangValidator -V -o multiview_stereo_fragment.spirv multiview_stereo.frag
glslangValidator -V -o multiview_stereo_vertex.spirv multiview_stereo.vert

glslangValidator -V -o depth_peeling_reprojection_stereo_fragment.spirv depth_peeling_reprojection_stereo.frag
glslangValidator -V -o depth_peeling_reprojection_stereo_geometry.spirv depth_peeling_reprojection_stereo.geom
glslangValidator -V -o depth_peeling_reprojection_stereo_vertex.spirv depth_peeling_reprojection_stereo.vert

glslangValidator -V -o dpr_companion_fragment.spirv dpr_companion.frag
glslangValidator -V -o dpr_companion_vertex.spirv dpr_companion.vert

glslangValidator -V -o dpr_reproject_fragment.spirv dpr_reproject.frag
glslangValidator -V -o dpr_reproject_tesselation_control.spirv dpr_reproject.tesc
glslangValidator -V -o dpr_reproject_tesselation_evaluation.spirv dpr_reproject.tese
glslangValidator -V -o dpr_reproject_vertex.spirv dpr_reproject.vert
