#version 450 core

#extension GL_NV_geometry_shader_passthrough : require
#extension GL_NV_viewport_array2 : require

layout (triangles) in;

layout(location = 0, passthrough) in vec3 inPos[];
layout(location = 1, passthrough) in vec3 inNormal[];
layout(location = 2, passthrough) in vec3 inTangent[];
layout(location = 3, passthrough) in vec2 inUV[];
layout(location = 4, passthrough) in vec4 inClipPos[];

layout(passthrough) in gl_PerVertex {
    vec4 gl_Position;
} gl_in[];

layout (viewport_relative) out highp int gl_Layer;

void main() {
    gl_ViewportMask[0] = 3;
    gl_Layer = 0;
}
