// file      : liblava-demo/triangle.cpp
// copyright : Copyright (c) 2018-present, Lava Block OÜ and contributors
// license   : MIT; see accompanying LICENSE file

#include <imgui.h>
#include "vr_app.hpp"

using namespace lava;

int main(int argc, char* argv[]) {
    vr_app app("Depth Peeling Reprojection", {argc, argv});

    if (!app.setup()) {
        return error::not_ready;
    }

    return app.run();
}
